import React, { FC, PropsWithChildren } from 'react';
import { ErrorListType } from '../../types/FormManager';
import { CustomRuleFunctionType } from '../../types/Functions';
export type UseFormManagerOptions = {
    isValidateOnChange?: boolean;
};
export type ContextParamsType = {
    errorMessages?: ErrorListType;
    fieldValueSelector?: {
        [typeName: string]: (...props: any) => any;
    };
    customValidationRules?: {
        [ruleName: string]: CustomRuleFunctionType;
    };
    options?: UseFormManagerOptions;
};
export declare const FormManagerContext: React.Context<ContextParamsType>;
export declare const FormManagerProvider: FC<PropsWithChildren<ContextParamsType>>;
//# sourceMappingURL=FormManager.d.ts.map